#
# spec file for package python-pytest-cov
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-cov
Version:        2.5.1
Release:        lp150.1.4
Summary:        Pytest plugin for coverage reporting
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/schlamar/pytest-cov
Source:         https://pypi.io/packages/source/p/pytest-cov/pytest-cov-%{version}.tar.gz
BuildRequires:  %{python_module cov-core >= 1.14.0}
BuildRequires:  %{python_module coverage >= 3.7.1}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module process-tests}
BuildRequires:  %{python_module py >= 1.4.22}
BuildRequires:  %{python_module pytest >= 2.6.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module virtualenv}
BuildRequires:  python-rpm-macros
Requires:       python-cov-core >= 1.14.0
Requires:       python-coverage >= 3.7.1
Requires:       python-pytest >= 2.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
This plugin produces coverage reports.  It supports centralised testing
and distributed testing in both load and each modes.  It also supports
coverage of subprocesses.

All features offered by the coverage package should be available, either
through pytest-cov or through coverage's config file.

%prep
%setup -q -n pytest-cov-%{version}

%build
%python_build

%install
%python_install

# could not fix this
#%%check
#%%python_expand PYTHONPATH=%%{buildroot}%%{$python_sitelib}:$PWD/tests %%python_exec %%{_bindir}/py.test

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS.rst CHANGELOG.rst LICENSE README.rst
%{python_sitelib}/pytest-cov.pth
%{python_sitelib}/pytest_cov
%{python_sitelib}/pytest_cov-%{version}-py%{python_version}.egg-info

%changelog
* Sun Sep 24 2017 arun@gmx.de
- update to version 2.5.1:
  * Fixed xdist breakage (regression in 2.5.0). Fixes #157.
  * Allow setting custom data_file name in .coveragerc. Fixes
    [#145]. Contributed by Jannis Leidel & Ionel Cristian Mărieș in
    [#156].
- changes from version 2.5.0:
  * Always show a summary when --cov-fail-under is used. Contributed
    by Francis Niu in PR#141.
  * Added --cov-branch option. Fixes #85.
  * Improve exception handling in subprocess setup. Fixes #144.
  * Fixed handling when --cov is used multiple times. Fixes #151.
* Wed Mar  1 2017 aloisio@gmx.com
- Update to version 2.4.0:
  * Added a "disarm" option: --no-cov. It will disable coverage
    measurements. Contributed by Zoltan Kozma in PR#135.
    WARNING: Do not put this in your configuration files, it's meant
    to be an one-off for situations where you want to disable coverage
    from command line.
  * Fixed broken exception handling on .pth file. See #136.
- Converted to single-spec
- Switched source URL to pypi.io
* Thu Oct 22 2015 toddrme2178@gmail.com
- Update to version 2.2.0
  * Added support for changing working directory in tests.
    Previously changing working directory would disable coverage
    measurements in suprocesses.
  * Fixed broken handling for --cov-report=annotate.
- Update to version 2.1.0
  * Added support for coverage 4.0b2.
  * Added the --cov-append command line options.
    Contributed by Christian Ledermann in PR#80.
- Update to version 2.0.0
  * Added --cov-fail-under, akin to the new fail_under option in
    coverage-4.0 (automatically activated if there’s a
    [report] fail_under = ... in .coveragerc).
  * Changed --cov-report=term to automatically upgrade to
  - -cov-report=term-missing if there’s
    [run] show_missing = True in .coveragerc.
  * Changed --cov so it can be used with no path argument
    (in wich case the source settings from .coveragerc will
    be used instead).
  * Fixed .pth installation to work in all cases
    (install, easy_install, wheels, develop etc).
  * Fixed .pth uninstallation to work for wheel installs.
  * Support for coverage 4.0.
  * Data file suffixing changed to use coverage’s
    data_suffix=True option (instead of the custom suffixing).
  * Avoid warning about missing coverage data
    (just like coverage.control.process_startup).
  * Fixed a race condition when running with xdist
    (all the workers tried to combine the files).
    It’s possible that this issue is not present in
    pytest-cov 1.8.X.
* Tue May 12 2015 benoit.monin@gmx.fr
- update to version 1.8.1:
  * no changelog available
- update project URL
- increase minimum version of python-cov-core and python-pytest
- set a minimum version for python-py
* Wed Jul 30 2014 toddrme2178@gmail.com
- Update to 1.7.0
  * No upstream changelog
* Mon Aug 12 2013 speilicke@suse.com
- Initial version
